Name:           umlgraph
Version:        5.2
Release:        3%{?dist}
Summary:        Automated Drawing of UML Diagrams

Group:          Development/Libraries
License:        BSD
URL:            http://umlgraph.org/
Source0:        http://umlgraph.org/UMLGraph-5.2.tar.gz
Source1:        http://repo2.maven.org/maven2/org/umlgraph/doclet/5.1/doclet-5.1.pom
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   jpackage-utils >= 0:1.7.4
Requires(postun): jpackage-utils >= 0:1.7.4

BuildRequires: ant
BuildRequires: graphviz
BuildRequires: java-1.6.0-openjdk-devel
Requires: graphviz

BuildArch: noarch

%description
UMLGraph allows the declarative specification and drawing of UML class
and sequence diagrams. The specification is done in text diagrams, 
that are then transformed into the appropriate graphical representations. 

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n UMLGraph-%{version}
sed -i -e 's|<attribute name=\"Class-Path\" value=\"tools.jar\"/>||g' build.xml
for f in $(find . -name "*.jar"); do
    mv $f $f.no
done

%build
%ant compile test javadocs

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/UmlGraph.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%add_to_maven_depmap org.umlgraph doclet %{version} JPP %{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -fr javadoc/gr/spinellis/umlgraph/doclet/*.dot
rm -fr javadoc/org/umlgraph/doclet/*.dot
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%doc README.txt
%{_javadir}/*
%{_datadir}/maven2
%{_mavendepmapfragdir}

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Thu Oct 8 2009 Alexander Kurtakov <akurtako@redhat.com> 5.2-3
- BR openjdk.

* Wed Oct 7 2009 Alexander Kurtakov <akurtako@redhat.com> 5.2-2
- Add missing BR/R on graphviz.

* Thu Oct 1 2009 Alexander Kurtakov <akurtako@redhat.com> 5.2-1
- Initial package.
